%global libname setuptools_trial

Name:           python-%{libname}
Version:        0.5.12
Release:        1%{?dist}
Summary:        Setuptools plugin that makes unit tests execute with trial instead of pyunit

Group:          Development/Languages
License:        BSD
URL:            http://allmydata.org/trac/setuptools_trial
Source0:        http://pypi.python.org/packages/source/s/%{libname}/%{libname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel, python-twisted-core, python-setuptools
Requires:       python-twisted-core, python-setuptools

%description
Setuptools plugin that makes unit tests execute with trial instead of pyunit

%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}%{_docdir}


%files
%defattr(-,root,root,-)
%doc README.txt COPYING.SPL.txt
%{python_sitelib}/%{libname}
%{python_sitelib}/%{libname}-%{version}-*egg-info


%changelog
* Wed Mar 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.12-1
- Upstream released new version

* Sun Jun 06 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.9-1
- Upstream released new version
- Drop darcs patch

* Wed Apr 07 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.6-1
- Upstream added license file
- Remove dependency on darcs

* Wed Mar 17 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.4-1
- Upstream released new version
- Upstream added license headers

* Wed Feb 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.3-2
- Review fixes (#523034)

* Wed Sep 09 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.3-1
- Initial import

